#include <iostream>
#include <boost/asio/ip/address.hpp>

/// IT CAN THROW, so ensure you ip addresses are correct !!!

int main()
{
    try
	{
		boost::asio::ip::address_v4 address = boost::asio::ip::address_v4::from_string("500.0.0.1");
		std::cout << address << std::endl;
	}
	catch(const std::exception& exc)
	{
	    std::cout << "OOPS : " << exc.what() << std::endl << std::endl;
	}

	try
	{
		boost::asio::ip::address address = boost::asio::ip::address::from_string("500.0.0.10");
		std::cout << address << std::endl;
	}
	catch(const std::exception& exc)
	{
	    std::cout << "OOPS : " << exc.what() << std::endl << std::endl;
	}

	try
	{
		boost::asio::ip::address address = boost::asio::ip::address::from_string("500.0.0.15");
		std::cout << address << std::endl;
	}
	catch(const boost::system::system_error& exc)
	{
	    std::cout << "OOPS : " << exc.code() << std::endl;
	    std::cout << "OOPS : " << exc.what() << std::endl;
	}
}
