#include <iostream>
#include <functional>
#include <chrono>
#include <boost/asio/steady_timer.hpp>

int main()
{
    boost::asio::io_context ioContext;
    boost::asio::steady_timer timer{ioContext, std::chrono::seconds(5)};

    std::cout << "wait for participants"  << std::endl;

    timer.wait();

    std::cout << "hide" << std::endl;

    timer.expires_after(std::chrono::seconds(3));
    timer.wait();

    std::cout << "and seek" << std::endl;
}
